[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# CreatePipeHandles

Function to create a set of pipe handles

## Declaration

Source position: pipes.pp line 53

`function CreatePipeHandles(`
`var Inhandle: THandle;`
`var OutHandle: THandle;`
`APipeBufferSize: Cardinal = 1024`
`):Boolean;`

## Arguments

`Inhandle` |  | File handle for reading end of the pipe
`OutHandle` |  | File handle for writing end of the pipe
`APipeBufferSize` |  | Buffer size to be used for the pipe

## Function result

True if the call was successful, False if not.

## Description

CreatePipeHandles provides an OS-independent way to create a set of pipe filehandles. These handles are inheritable to child processes. The reading end of the pipe is returned in InHandle, the writing end in OutHandle.

## Errors

On error, False is returned.

## See also

CreatePipeStreams |  | Create a pair of pipe stream.